## deepdiff 3.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DeepDiff.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DeepDiff.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DeepDiff"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DeepDiff"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
deepdiff (3.3.0-2) unstable; urgency=medium

  * Team upload
  * Add build-dependency on dh-python (Closes: #952361)
  * Build-depend on python3-all instead of python3-dev

 -- Graham Inggs <ginggs@debian.org>  Fri, 06 Mar 2020 15:08:26 +0000

deepdiff (3.3.0-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Wed, 02 Jan 2019 13:49:12 +0100

=== debian/control ===
Source: deepdiff
Section: python
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-jsonpickle,
               python3-mock,
               python3-numpy,
               python3-setuptools
Standards-Version: 4.1.3
X-Python3-Version: >= 3.6
Homepage: https://github.com/seperman/deepdiff
Testsuite: autopkgtest-pkg-python

Package: python3-deepdiff
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Deep Difference and search of any Python object/data
 Deep Difference of dictionaries, iterables, strings and other objects. It will
 recursively look for all the changes.
 .
 This package contains the python3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/seperman/deepdiff/releases .*/archive/v([\d.]+)\.tar\.gz

## deepdiff 5.6.0

=== requirements.txt ===
ordered-set==4.0.2

=== debian/changelog ===
deepdiff (5.6.0-2) unstable; urgency=medium

  * Team upload.
  * d/patches: add 0001 to fix testsuite failure on 32-bits systems.
    (Closes: #1005036)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 11 Apr 2022 15:12:11 -0400

deepdiff (5.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/tests: add autopkgtests.

  [ Andreas Tille ]
  * Move package to Debian Python Team
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Drop ancient X-Python-Version field (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Strip unusual field spacing from debian/control.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove Section on python3-deepdiff that duplicates source.
  * Build-Depends: python3-wheel
  * Add d/salsa-ci.yml

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 29 Jan 2022 18:34:09 -0500

deepdiff (3.3.0-3) unstable; urgency=medium

  * debian/patches/python-3.10.patch: New patch, fixing autopkgtests with
    python3.10, by Steve Langasek (Closes: #1001292).

 -- Michael Banck <mbanck@debian.org>  Fri, 24 Dec 2021 23:48:36 +0100

=== debian/control ===
Source: deepdiff
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-jsonpickle,
               python3-numpy,
               python3-setuptools,
               python3-ordered-set,
               python3-clevercsv,
               python3-click <!nocheck>,
               python3-pytest <!nocheck>,
               python3-yaml <!nocheck>,
               python3-mock <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/deepdiff
Vcs-Git: https://salsa.debian.org/python-team/packages/deepdiff.git
Homepage: https://github.com/seperman/deepdiff
Rules-Requires-Root: no

Package: python3-deepdiff
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-jsonpickle,
         python3-numpy,
         python3-setuptools,
         python3-ordered-set,
         python3-clevercsv,
Description: Deep Difference and search of any Python object/data
 Deep Difference of dictionaries, iterables, strings and other objects. It will
 recursively look for all the changes.
 .
 This package contains the python3 module.

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-pytest, python3-click, python3-yaml, python3-mock

## deepdiff 5.8.2

=== debian/changelog ===
deepdiff (5.8.2-3) unstable; urgency=medium

  * debian/tests/control
    - install build-deps when running autopkgtests; Closes: #1014489

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jul 2022 23:30:41 -0400

deepdiff (5.8.2-2) unstable; urgency=medium

  * debian/control
    - add toml and clevercsv to b-d, needed by tests
    - run wrap-and-sort -at

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Jun 2022 01:26:35 -0400

deepdiff (5.8.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version. (Closes: #1011825)
  * d/patches: drop 0001, as it has been upstreamed.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 15 Jun 2022 14:14:08 -0400

## deepdiff 6.2.2

=== docs/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  buildme    echos what to run to do live builds."
 	@echo "  html       to make standalone HTML files"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
@@ -47,6 +48,9 @@
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 	@echo "  coverage   to run coverage check of the documentation (if enabled)"
+
+buildme:
+	@echo "Please make sure the .env is pointing to the right path for the build. Then run ./buildme.py"
 
 clean:
 	rm -rf $(BUILDDIR)/*

=== debian/changelog ===
deepdiff (6.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #1024907)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 12 Dec 2022 10:41:02 -0500

deepdiff (6.2.1-1) UNRELEASED; urgency=medium

  * Team upload.
  * New upstream version.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 01 Dec 2022 15:45:04 -0500

=== debian/control ===
Source: deepdiff
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-clevercsv,
               python3-clevercsv <!nocheck>,
               python3-click <!nocheck>,
               python3-jsonpickle,
               python3-mock <!nocheck>,
               python3-numpy,
               python3-ordered-set,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-toml <!nocheck>,
               python3-yaml <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/deepdiff
Vcs-Git: https://salsa.debian.org/python-team/packages/deepdiff.git
Homepage: https://github.com/seperman/deepdiff
Rules-Requires-Root: no

Package: python3-deepdiff
Architecture: all
Depends: python3-clevercsv,
         python3-jsonpickle,
         python3-numpy,
         python3-ordered-set,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Deep Difference and search of any Python object/data
 Deep Difference of dictionaries, iterables, strings and other objects. It will
 recursively look for all the changes.
 .
 This package contains the python3 module.

## deepdiff 6.7.1

=== requirements.txt ===
ordered-set>=4.0.2,<4.2.0

=== debian/changelog ===
deepdiff (6.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Make sure conftest.py is found
    Closes: #1052844
  * Build-Depends: python3-tomli-w, python3-pydantic
  * Demote python3-clevercsv to Recommends
    Closes: #1050793

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 20:42:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,12 @@
                python3-numpy,
                python3-ordered-set,
                python3-pytest <!nocheck>,
+               python3-pydantic <!nocheck>,
                python3-setuptools,
                python3-toml <!nocheck>,
+               python3-tomli-w <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/deepdiff
 Vcs-Git: https://salsa.debian.org/python-team/packages/deepdiff.git
 Homepage: https://github.com/seperman/deepdiff
@@ -25,14 +27,14 @@
 
 Package: python3-deepdiff
 Architecture: all
-Depends: python3-clevercsv,
-         python3-jsonpickle,
+Depends: python3-jsonpickle,
          python3-numpy,
          python3-ordered-set,
          python3-setuptools,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
+Recommends: python3-clevercsv
 Description: Deep Difference and search of any Python object/data
  Deep Difference of dictionaries, iterables, strings and other objects. It will
  recursively look for all the changes.

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,8 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+export PYBUILD_NAME=deepdiff
+export PYBUILD_BEFORE_TEST=cp -a conftest.py {build_dir}
+
 %:
 	dh $@ --with=python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends: @, @builddeps@

## deepdiff 8.1.1

=== requirements.txt ===
orderly-set>=5.2.3,<6

=== debian/changelog ===
deepdiff (8.1.1-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-ordered-set
  * Remove duplicate python3-clevercsv line in dependencies
  * Trim autopkgtest dependencies, avoid "@builddeps@"

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Feb 2025 07:43:13 +0100

deepdiff (8.1.1-2) unstable; urgency=medium

  * Team upload.
  * Remove the runtime dependency on python3-setuptools
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 14:15:59 +0100

deepdiff (8.1.1-1) unstable; urgency=medium

  * New upstream version (Closes: #1088239).
  * d/control: Add python3-orderly-set and python3-pytest-benchamrk as Build
    Dependency.
  * d/rules: Ignore tests that use polars.
  * d/control: Add python3-orjson as Build Dependency.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 17 Dec 2024 15:55:00 -0300

deepdiff (6.7.1-2) unstable; urgency=medium

  * Team upload.
  * Remove old build dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 22:32:43 +0100

=== debian/control ===
Source: deepdiff
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-clevercsv <!nocheck>,
               python3-click <!nocheck>,
               python3-jsonpickle,
               python3-numpy,
               python3-orderly-set,
               python3-orjson,
               python3-pydantic <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-setuptools,
               python3-toml <!nocheck>,
               python3-tomli-w <!nocheck>,
               python3-yaml <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/deepdiff
Vcs-Git: https://salsa.debian.org/python-team/packages/deepdiff.git
Homepage: https://github.com/seperman/deepdiff
Rules-Requires-Root: no

Package: python3-deepdiff
Architecture: all
Depends: python3-jsonpickle,
         python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: python3-clevercsv,
Description: Deep Difference and search of any Python object/data
 Deep Difference of dictionaries, iterables, strings and other objects. It will
 recursively look for all the changes.
 .
 This package contains the python3 module.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export PYBUILD_NAME=deepdiff
 export PYBUILD_BEFORE_TEST=cp -a conftest.py {build_dir}
+export PYBUILD_TEST_ARGS=-k 'not test_polars'
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-clevercsv,
 python3-click,
 python3-jsonpickle,
 python3-numpy,
 python3-orderly-set,
 python3-orjson,
 python3-pydantic,
 python3-pytest,
 python3-pytest-benchmark,
 python3-toml,
 python3-tomli-w,
 python3-yaml,
 @,

=== debian/watch ===
version=4
https://github.com/seperman/deepdiff/tags .*/v?([\d.]+)\.tar\.gz

## deepdiff 8.6.1

=== debian/changelog ===
deepdiff (8.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fixed test_delta.py with Python 3.14 (closes: #1123114).
  * Skip uuid6 tests for now, since that dependency isn't in Debian.
  * Don't install conftest.py in binary package.
  * Switch to autopkgtest-pkg-pybuild.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Dec 2025 17:20:48 +0000

deepdiff (8.1.1-4) unstable; urgency=medium

  * Team upload.
  * Drop old python3-toml build-dependency

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 19:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,26 @@
 Uploaders: Michael Banck <mbanck@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               flit,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-clevercsv <!nocheck>,
                python3-click <!nocheck>,
                python3-jsonpickle,
                python3-numpy,
-               python3-orderly-set,
+               python3-orderly-set (>= 5.4.1),
                python3-orjson,
                python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-setuptools,
-               python3-toml <!nocheck>,
                python3-tomli-w <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/deepdiff
 Vcs-Git: https://salsa.debian.org/python-team/packages/deepdiff.git
 Homepage: https://github.com/seperman/deepdiff
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-deepdiff
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=deepdiff
# These tests need dependencies that aren't currently in Debian.
export PYBUILD_TEST_ARGS=\
	--deselect tests/test_hash.py::TestDeepHash::test_uuid6_hash_positive \
	--deselect tests/test_hash.py::TestDeepHash::test_uuid6_deepdiff_negative \
	--deselect tests/test_hash.py::TestDeepHashPrep::test_polars \
	{dir}/tests

%:
	dh $@ --buildsystem=pybuild
